

do_ignition()
{

 portset(OUTPUT_FEVKA);
 portset(OUTPUT_FUEL);         
 portset(OUTPUT_IGNITION);	 //On ignition valve
 portset(OUTPUT_OXY_HEAT_LO);

 proc=plc_proc_ignition;

 timer=3000;          //Set Ignition process
 do{ timer--; }while(timer>0); //wait ignition

 portclr(OUTPUT_FEVKA);

 timer=time_ignition;          //Set Ignition process
 do{ timer--; }while(timer>0); //wait ignition

 portclr(OUTPUT_IGNITION); //Off ignition valve

};




do_preheat()
{
  portset(OUTPUT_OXY_HEAT_HI);

  proc=plc_proc_preheat;
  break_heating=1;
  timer=time_preheat;

  gvarset(9100,1);

  do{ timer--; 
  if ((timer&0x3ff)==0){ gvarset(99,timer);};
  if (break_heating==0) { timer=0; };
  }while(timer>0);             //heating loop

  gvarset(9100,0);
};

do_pierce()
{

 portset(OUTPUT_OXY_CUT_LO);   //add Oxy Cutting Lo pressure

 if (ihc_enabled!=0)
 {

  h=ihc_pierce_height-ihc_preheat_height;

  if (h>0)
  {
   g0moveA(0x0,0x4, h);  //Z axis, move up
   timer=100; do{ timer--; }while (timer>0); 
   //after 0.1sec delay motion is definetely started
   do { timer++;code=gvarget(6060); }while(code!=0x4d);
   //then wait till motion finished
  };
 };

 timer=time_soft_start; 
 do{ timer--; }while(timer>0); //wait for Soft Oxy start

 portset(OUTPUT_OXY_CUT_HI);   //add Oxy Cutting Hi pressure

 timer=time_pierce; 
 do{ timer--; }while(timer>0); //wait for Pierce

 portclr(OUTPUT_OXY_HEAT_HI);   //add Oxy Cutting Hi pressure


 if (ihc_enabled!=0)
 {
  h=ihc_cutting_height-ihc_pierce_height;

  if (h<0)
  {
   g0moveA(0x0,0x4, h);  //Z axis, move down
   timer=100; do{ timer--; }while (timer>0); 
   //after 0.1sec delay motion is definetely started
   do { timer++;code=gvarget(6060); }while(code!=0x4d);
   //then wait till motion finished
  };
 };


};


start_thc()
{
  thc_enabled=gvarget(5702);
  if (thc_enabled!=0)
 {
gvarset(7570,3);	
 };
};

