// g0moveA - start motion:
// flags -
// bit 0 - absolute programming
// bit 1 - machine coordinates
// bit 7 - delayed start.
// axes mask 
// bit 0 - X axis; bit 1 - Y axis;bit 2 - Z axis;bit 3 - A axis;bit 4 - B axis;bit 5 - C axis


lift_up()
{
  if (proc==plc_proc_spindle)
  {
	z1=gvarget(17003);
  	timer=10; do{timer--;}while (timer>0);//wait till motion started

	z2=gvarget(7020);
	z2=z2*100;

	if (absolute==0)
	{
		z2=z1+z2;
	};

	//gvarset(20013,z2);
  	//timer=10; do{timer--;}while (timer>0);//wait till motion started

	z1=z1+100;	//add 1mm gap

	if (z2>z1)
	{
	  //position coordinate in given axis in 0.01 units (mm)
	  gvarset(7080,speed_z);	//set speed

	  g0moveA(1,0x4,z2);	//absolute programming; Z axis;
	  timer=50; do{timer--;}while (timer>0);//wait till motion started
	  //wait till motion is stopped
	  do 
	  { ex=0; code=gvarget(6060);
	    if (code==0x4d) {ex=1;};
	    if (code==0x57) {ex=1;};
	  } while(ex==0);
	};
  };

};



coolant_motor_start()
{
	timer=10;do{timer--;}while(timer>0);

	gvarset(8131,1000000); //acceleration
	timer=10;do{timer--;}while(timer>0);

	x=gvarget(8133);//speed

	k=gvarget(8132);//ratio

	x=x*k;
	gvarset(8130,x);
	timer=10;do{timer--;}while(timer>0);
};