start_thc()     
{
  if (thc_enabled!=0) //start THC control
  {
    gvarset(7570,thc_avc_start);	//THC #0 ON
  };

  //  command=0xa4;  //Start Height sensing
  //  parameter=thc_avc_start;
  //  message=PLCCMD_SET_CNC_VAR;
  //  timer=3;do{timer--;}while(timer>0);
};

stop_thc()
{
    gvarset(7570,0);	//THC #0 ON

	//stop THC control
	//command=0xa4;
	//parameter=0;//STOP
	//message=PLCCMD_SET_CNC_VAR;
    //timer=3;do{timer--;}while(timer>0);
};

stop_trigger1()
{
	//stop watching for plasma sensor
	message=PLCCMD_TRIGGER1_OFF;
    timer=3;do{timer--;}while(timer>0);
};
stop_trigger2()
{
	//stop watching for plasma sensor
	message=PLCCMD_TRIGGER2_OFF;
    timer=3;do{timer--;}while(timer>0);
};

start_trigger1()
{
	//stop watching for plasma sensor
	message=PLCCMD_TRIGGER1_ON;
    timer=3;do{timer--;}while(timer>0);
};
start_trigger2()
{
	//stop watching for plasma sensor
	message=PLCCMD_TRIGGER2_ON;
    timer=3;do{timer--;}while(timer>0);
};

do_wait_pierce()
{
    timer=ihc_pierce_time;do{timer--;}while(timer>0);
};



do_wait_plasma()
{

	timer=timeout_plasma_ready; //wait till plasma arc ready
   do{
    timer--;
    a=portget(INPUT_ARC);
    if (a!=0) { timer=0; };
   }while(timer>0); //pause

	a=portget(INPUT_ARC); //doublecheck arc sensor
	if (a==0)
	{
	  message=PLCCMD_TRIGGER2_ON;
	  timer=3;do{timer--;}while(timer>0);
          portclr(OUTPUT_PLASMA);
          exit(plc_exit_plasma_fail);
	};

};


test_lift_after_cut()
{

	if (proc==plc_proc_moveup) //if already moving-up - stop & exit
	{
		message=PLCCMD_LINE_STOP; //PLCCMD_LINE_SOFT_STOP;//skip line
		do
		{
			timer++;
			ready=0;
			code=gvarget(6060);
			if (code==0x57) { ready=1; };//'W' WAIT
			if (code==0x4d) { ready=1; };//'M' M-code
		}while(ready==0);
		proc=plc_proc_idle;

		start_trigger2();
		exit(99);
	};
};

do_lift_after_cut()
{
	if (proc==plc_proc_plasma)
	{
    	if (ihc_lift_after_cut>0)
	    {
	      proc=plc_proc_moveup;
	      gvarset(7080,3000);	//3m/min
	      g0moveA(0x0,0x4,ihc_lift_after_cut); //Z axis
	      timer=200;do{timer--;}while(timer>0);

		do 
		{ 
			ready=0;
			code=gvarget(6060); 
			if (code==0x57) 	{ ready=1; };	//'W' WAIT
			if (code==0x4d) 	{ ready=1; };	//'M' M-code
			a=portget(INPUT_HOME_Z); 	
			if (a==0) 
			{ 
				ready=1; 
				message=PLCCMD_LINE_STOP; //PLCCMD_LINE_SOFT_STOP;//skip line
		       timer=10;do{timer--;}while(timer>0);
			};	//Home Z zensor (top position)

		}while(ready==0);
    	};
	};
};

