
stop_thc()
{
    gvarset(7570,0);	//THC #0 ON
    gvarset(7575,0);	//THC #0 ON
};


stop_drill()
{
  portclr(OUTPUT_DRILL_POWER);
  portclr(OUTPUT_DRILL_VALVE_DOWN);
  portset(OUTPUT_DRILL_VALVE_UP);
};


stop_gases()
{

  is_flame=1;//gvarget(5707);

  if (proc==plc_proc_flame)  {  is_flame=0; };
  if (proc==plc_proc_idle)  {  is_flame=0; };


  portclr(OUTPUT_IGNITION);
  portclr(OUTPUT_FEVKA);
  portclr(OUTPUT_OXY_HEAT_HI);
  portclr(OUTPUT_OXY_CUT_HI);
  portclr(OUTPUT_OXY_CUT_LO);

is_flame=0;

if (is_flame==0)
{
  portclr(OUTPUT_FUEL);           //Off Valves
  portclr(OUTPUT_OXY_HEAT_LO);


  proc=plc_proc_idle;


}else
{
  proc=plc_proc_flame;
};
  
};

do_lift()
{
  rrr=0;
  if (proc==plc_proc_cutting)  { rrr=1;};
  if (proc==plc_proc_preheat)  { rrr=1;};
  if (proc==plc_proc_flame)    { rrr=1;};


  if (rrr!=0)
  {
    portset(OUTPUT_OXY_HEAT_LO);
    purge=time_purge;          //Set Ignition process

    h=ihc_lift_height-ihc_cutting_height;

    ihc_enabled=gvarget(5703);

    if (1)//(ihc_enabled!=0)
    {
     if (h>0)
     {
       proc=plc_proc_moveup;
       gvarset(7080,2000);

       g0moveA(0x0,0x4,ihc_lift_height);      //Z axis
       timer=100;do{timer--;}while(timer>0);
       do { 
	timer++;
	purge--; 
code=gvarget(6060); }while(code!=0x4d);
       //wait till motion finished(7140 for Multidev)
     };
    };
    portclr(OUTPUT_OXY_HEAT_LO);  //

  };

  portclr(OUTPUT_OXY_HEAT_LO);   //

};


do_purge()
{
  rrr=0;
  if (proc==plc_proc_cutting)  { rrr=1;};
  if (proc==plc_proc_preheat)  { rrr=1;};

  if (rrr!=0)
  {
    portset(OUTPUT_OXY_HEAT_LO);
    timer=time_purge;          //Set Ignition process
    do{ timer--; }while(timer>0); //wait ignition
    portclr(OUTPUT_OXY_HEAT_LO);  //
  };

  portclr(OUTPUT_OXY_HEAT_LO);   //

};


